package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1212053153594_0_5947188924067182 implements fr.ifremer.isisfish.equation.SelectivityEquation {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.Population pop, fr.ifremer.isisfish.entities.PopulationGroup group, fr.ifremer.isisfish.entities.Metier metier) throws Exception {if (group.getId() == 1) return  0.06;
else if (group.getId()==2) return 0.17;
else if (group.getId()==3) return 0.37;
else if (group.getId()==4) return 0.64;
else if (group.getId()==5) return 0.90;
else if (group.getId()==6) return 1.00;
else if (group.getId()==7) return 0.98;
else if (group.getId()==8) return 0.92;
else if (group.getId()==9) return 0.84;
else if (group.getId()==10) return 0.73;
else if (group.getId()==11) return 0.61;
else if (group.getId()==12) return 0.49;
else if (group.getId()==13) return 0.38;
else if (group.getId()==14) return 0.28;
else if (group.getId()==15) return 0.20;
else if (group.getId()==16) return 0.14;
else if (group.getId()==17) return 0.09;
return 0;

}
}
